[Snort-users] Upgrade to 2.9.7.0 results in Pulledpork not generating stub rules

James Lay jlay at ...13475...
Tue Nov 11 15:37:26 EST 2014


On 2014-11-11 13:33, Joel Esler (jesler) wrote:
> Looks like you are trying to use 2962 rules with 2970 or something.
>
> --
> JOEL ESLER Sent from my iPhone
>
>  On Nov 11, 2014, at 3:12 PM, James Lay <jlay at ...13475... 
> [6]>
> wrote:
>
>> Topic says it:
>>
>> Generating Stub Rules....
>> An error occurred: WARNING: No dynamic libraries found in
>> directory /usr/local/lib/snort_dynamicrules.
>>
>> Indeed after clearing out snort_dynamicrules after:
>>
>> An error occurred: ERROR: The dynamic detection library
>> "/usr/local/lib/snort_dynamicrules/web-activex.so" version 1.0
>> compiled
>> with dynamic engine library version 2.1 isn't compatible with the
>> current dynamic engine library
>> "/usr/local/lib/snort_dynamicengine/libsf_engine.so" version 2.4.
>>
>> I'm using VRT ruleset...has something changes since 2.9.6.2? Thank
>> you.
>>
>> James
>>

Maybe I need to blow out the rules....my pp run shows:

Checking latest MD5 for snortrules-snapshot-2970.tar.gz....
Rules tarball download of snortrules-snapshot-2970.tar.gz....

So not sure at this point...I'll try nuking the rules..thanks for 
looking Joel.

James




More information about the Snort-users mailing list